Resume run
Resume a paused run
POST
/
ai
/
missions
/
{mission_id}
/
runs
/
{run_id}
/
resume
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.missions.runs.resumeRun('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
mission_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.missions.runs.resume_run(
run_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
mission_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Missions.Runs.ResumeRun(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.AIMissionRunResumeRunParams{
MissionID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.missions.runs.RunResumeRunParams;
import com.telnyx.sdk.models.ai.missions.runs.RunResumeRunResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RunResumeRunParams params = RunResumeRunParams.builder()
.missionId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.runId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build();
RunResumeRunResponse response = client.ai().missions().runs().resumeRun(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.missions.runs.resume_run(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
mission_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
)
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->missions->runs->resumeRun(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
missionID: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:missions:runs resume-run \
--api-key 'My API Key' \
--mission-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--run-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request POST \
--url https://api.telnyx.com/v2/ai/missions/{mission_id}/runs/{run_id}/resume \
--header 'Authorization: Bearer <token>'{
"data": {
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"input": {},
"finished_at": "2023-11-07T05:31:56Z",
"result_summary": "<string>",
"result_payload": {},
"error": "<string>",
"metadata": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the mission.
Unique identifier of the run.
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.missions.runs.resumeRun('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
mission_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.missions.runs.resume_run(
run_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
mission_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Missions.Runs.ResumeRun(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.AIMissionRunResumeRunParams{
MissionID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.missions.runs.RunResumeRunParams;
import com.telnyx.sdk.models.ai.missions.runs.RunResumeRunResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RunResumeRunParams params = RunResumeRunParams.builder()
.missionId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.runId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build();
RunResumeRunResponse response = client.ai().missions().runs().resumeRun(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.missions.runs.resume_run(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
mission_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
)
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->missions->runs->resumeRun(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
missionID: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:missions:runs resume-run \
--api-key 'My API Key' \
--mission-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--run-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request POST \
--url https://api.telnyx.com/v2/ai/missions/{mission_id}/runs/{run_id}/resume \
--header 'Authorization: Bearer <token>'{
"data": {
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"input": {},
"finished_at": "2023-11-07T05:31:56Z",
"result_summary": "<string>",
"result_payload": {},
"error": "<string>",
"metadata": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}